form * {
font-family:var(--primaryFontFamily);
font-optical-sizing: auto;
font-weight:var(--primaryFontWeight);
font-style:var(--primaryFontStyle);
color:#000000;
}
.requestForm {
width:100%;
}
.formRow {
position:relative;
width:100%;
display:flex;
justify-content:space-between;
flex-wrap:wrap;
}
.formField {
position:relative;
margin-bottom:calc(20px * var(--pixelMultiplicator));
}
form > .formRow:last-Child .formField {
position:relative;
margin-bottom:0;
}
.formField_full {
width:100%;
}
.formField_half {
width:calc(50% - (0.5 * var(--gridDistanceWidth)));
}
.formField_two {
width:calc((2 * var(--gridColumnWidth)) + (1 * var(--gridDistanceWidth)));
}
.formField_three {
width:calc((3 * var(--gridColumnWidth)) + (2 * var(--gridDistanceWidth)));
}
.formField_four {
width:calc((4 * var(--gridColumnWidth)) + (3 * var(--gridDistanceWidth)));
}
.formField_wrapper {
position:relative;
}
.formField_styled .formField_wrapper {
position:relative;
min-height:calc(50px * var(--pixelMultiplicator));
}
.formField_styled .formField_wrapper {
border:1px solid #000000;
}
.formField_styled label {
position:absolute;
top:0;
left:0;
width:100%;
height:100%;
z-index:3;
}
.formField_styled label span {
font-size:calc(20px * var(--pixelMultiplicator));
line-height:calc(28px * var(--pixelMultiplicator));
position:absolute;
left:0;
top:50%;
-webkit-transform:translateY(-50%);
-moz-transform:translateY(-50%);
-ms-transform:translateY(-50%);
-o-transform:translateY(-50%);
transform:translateY(-50%);
transform-origin:left top;
-webkit-transition:all 200ms ease;
-moz-transition:all 200ms ease;
-ms-transition:all 200ms ease;
-o-transition:all 200ms ease;
transition:all 200ms ease;
white-space:nowrap;
padding-left:calc(10px * var(--pixelMultiplicator));
padding-right:calc(10px * var(--pixelMultiplicator));
}
.inFocus label, .hasValue label {
z-index:1;
}
.inFocus label span, .hasValue label span {
top:0;
font-size:calc(10px * var(--pixelMultiplicator));
line-height:calc(20px * var(--pixelMultiplicator));
-webkit-transform:none;
-moz-transform:none;
-ms-transform:none;
-o-transform:none;
transform:none;
}
label p, label p a {
font-size:var(--primaryFontSize);
line-height:var(--primaryLineHeight);
color:#000000;
}
label p + p {
margin-top:calc(20px * var(--pixelMultiplicator));
}
label a {
font-size:calc(14px * var(--pixelMultiplicator));
line-height:calc(24px * var(--pixelMultiplicator));
}
.formFooter label p, .formFooter label a {
color:#ffffff;
}
.formField_styled input[type="text"], .formField_styled input[type="email"], .formField_styled input[type="password"] {
font-size:calc(20px * var(--pixelMultiplicator));
line-height:calc(34px * var(--pixelMultiplicator));
position:absolute;
bottom:0;
left:0;
right:0;
padding-left:calc(10px * var(--pixelMultiplicator));
padding-right:calc(10px * var(--pixelMultiplicator));
padding-top:calc(16px * var(--pixelMultiplicator));
-webkit-appearance:none;
-moz-appearance:none;
-ms-appearance:none;
appearance:none;
border:0;
border-radius:0;
background:none;
z-index:4;
opacity:0;
}
.formField_styled.inFocus input[type="text"], .formField_styled.inFocus input[type="email"], .formField_styled.inFocus input[type="password"], .formField_styled.hasValue input[type="text"], .formField_styled.hasValue input[type="email"], .formField_styled.hasValue input[type="password"] {
opacity:1;
}
.formField_styled select {
position:absolute;
bottom:0;
left:0;
right:0;
padding-left:calc(10px * var(--pixelMultiplicator));
padding-right:calc(10px * var(--pixelMultiplicator));
padding-top:calc(16px * var(--pixelMultiplicator));
-webkit-appearance:none;
-moz-appearance:none;
-ms-appearance:none;
appearance:none;
border:0;
border-radius:0;
background:none;
font-size:calc(20px * var(--pixelMultiplicator));
line-height:calc(34px * var(--pixelMultiplicator));
height:100%;
z-index:4;
opacity:0;
}
.formField_styled.inFocus select, .formField_styled.hasValue select {
opacity:1;
}
.formField_styled textarea {
position:absolute;
top:calc(18px * var(--pixelMultiplicator));
left:calc(10px * var(--pixelMultiplicator));
right:calc(10px * var(--pixelMultiplicator));
bottom:0;
border:0;
font-size:calc(20px * var(--pixelMultiplicator));
line-height:calc(24px * var(--pixelMultiplicator));
background:none;
resize:none;
display:block;
z-index:2;
opacity:0;
}
.formField_styled.inFocus textarea, .formField_styled.hasValue textarea {
opacity:1;
}
.formField_textarea .formField_wrapper {
height:calc(128px * var(--pixelMultiplicator));
}
.checkboxHolder input {
position:absolute;
top:0;
left:0;
height:100%;
opacity:0;
cursor:pointer;
}
.checkboxHolder .checkmark {
position:absolute;
top:0;
left:0;
background-color:#ffffff;
width:var(--primaryLineHeight);
height:var(--primaryLineHeight);
border:calc(1px* var(--pixelMultiplicator)) solid #000000;
}
.checkboxHolder .checkmark:after {
content:"";
position:absolute;
left:50%;
top:50%;
-webkit-transform:translateX(-50%) translateY(-50%) rotate(45deg);
-moz-transform:translateX(-50%) translateY(-50%) rotate(45deg);
-ms-transform:translateX(-50%) translateY(-50%) rotate(45deg);
-o-transform:translateX(-50%) translateY(-50%) rotate(45deg);
transform:translateX(-50%) translateY(-50%) rotate(45deg);
border:solid #000000;
border-width:0 3px 3px 0;
display:none;
width:calc(5px * var(--pixelMultiplicator));
height:calc(10px * var(--pixelMultiplicator));
}
.checkboxHolder input:checked ~ .checkmark:after {
display:block;
}
.checkboxHolder:hover input ~ .checkmark {
background-color:#ffffff;
}
.checkboxHolder input:checked ~ .checkmark {
background-color:#ffffff;
}
.formField_privacy {
display:flex;
align-items:stretch;
}
.formField_privacy .formField_wrapper {
margin-left:0;
margin-right:0;
}
.formField_submit .formField_wrapper {
height:auto;
min-height:auto;
margin-left:0;
margin-right:0;
width:100%;
}
.checkboxHolder {
display:block;
position:relative;
cursor:pointer;
-webkit-user-select:none;
-moz-user-select:none;
-ms-user-select:none;
user-select:none;
padding-left:calc(var(--primaryLineHeight) * 1.5);
}
.formRow_security {
position:absolute;
opacity:0;
pointer-events:none;
width:1px;
height:1px;
overflow:hidden;
}
.formField_submit .formField_wrapper {
display:flex;
justify-content:flex-end;
margin-bottom:0!important;
}
.formField_submit input {
-webkit-appearance:none;
-moz-appearance:none;
-ms-appearance:none;
appearance:none;
display:block;
border:0;
cursor:pointer;
}
.formRow_flex {
display:flex;
}
.formRow_flexCenter {
justify-content:center;
}
.formField_select:after {
content:'';
position:absolute;
top:0;
right:20px;
bottom:0;
width:20px;
background-image:url(/typo3conf/ext/theme/Resources/Public/Images/formSelect.svg);
background-size:contain;
background-position:center;
background-repeat:no-repeat;
z-index:2;
pointer-events:none;
}
.formAbsolute {
width:100%;
}
.formRow_privacy + .formRow_privacy {
margin-top:calc(-10px * var(--pixelMultiplicator));
}
.formRow_submit + .formRow_submit {
margin-top:calc(10px * var(--pixelMultiplicator));
}
.requestForm button {
border:0;
background:none;
width:100%;
}
.formField_childrenAge {
display:none;
}
fieldset {
    border: 0;
}
legend {
    margin-bottom: calc(10px * var(--pixelMultiplicator));
}
@media screen and (max-width:767px) {
.requestForm {
margin-top:calc(60px * var(--pixelMultiplicator));
}
.formField_half {
width:100%;
}
.formField_submit {
justify-content:flex-start;
}
label p, label p a {
font-size:calc(14px * var(--pixelMultiplicator));
line-height:calc(17.5px * var(--pixelMultiplicator));
}
.formField_wrapper {
    min-height: calc(58px* var(--pixelMultiplicator));
}
.formField {
margin-top:calc(10px * var(--pixelMultiplicator));
}
.formField_privacy {
    margin-top: calc(50px* var(--pixelMultiplicator));
}
}